[Rozwiązane] Joomla 2.5.x
Strona 1 z 2 12 OstatniOstatni
Wyniki 1 do 10 z 12

Temat: Joomla 2.5.x

  1. #1
    Przeglądacz
    Dołączył
    16-03-2009
    Skąd
    Szczawnica
    Wpisy
    53
    Punkty
    10

    Joomla! 2.5 Joomla 2.5.x

    Witam.

    W Joomla 2.5.X , w Panelu Admina , W Ustawieniach globalnych , włączyłem Re- Captha.
    Teraz mi strona nie wchodzi , ani Panel admina.

    Orientuje się ktoś , bym mógł powrócić do stanu poprzedniego ? Co zmienić w bazie danych , by módz wejść do Panelu Admina. Ze względu na pośpiech nie wykonałem sobie backupa dzisiaj , a cofnąć do tamtego tygodnia na hostingu może zrobią. Wolałbym sam wiedzieć gdzie tkwi problem.

    Adres witryny - http://centrumnet.xon.pl/testuj/

  2. Pani Reklamowa
    Pani Reklamowa jest aktywna
    Avatar Panny Google

    Dołączył
    19-08-2010
    Skąd
    Internet
    Postów
    milion
    Pochwał
    setki
  3. #2
    Wiarus siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    1 581
    Punkty
    181

    Domyślny

    Edytuj configuration.php w katalogu głównym strony (sprawdź chmod tego pliku bo może mieć 444 i wtedy nie zapiszesz zmian. Zmień na 644 a po zapisie przywróć oryginalne ustawienie).

    Szukaj:

    Kod PHP:
    public $captcha '0'
    U Ciebie powinno mieć inną wartość niż 0. Wpisz 0. To wartość domyślna.

    EDIT:

    Masz komunikat na stronie:

    No configuration file found and no installation code available. Exiting...
    To raczej nie ma związku z Captcha. Zobacz ten temat: http://forum.joomla.pl/showthread.ph...i-joomla-1-5-4
    Na Forum pomagam bezpłatnie ad maiorem Joomla gloriam
    Mimo pomocy na forum nie dajesz rady? Potrzebujesz by ekspert "zrobił to" za Ciebie?
    Napisz do mnie na PW. Argentum et Aurum nie zawsze jest konieczne ;)

  4. #3
    Przeglądacz
    Dołączył
    16-03-2009
    Skąd
    Szczawnica
    Wpisy
    53
    Punkty
    10

    Domyślny

    Ale numer. Sprawdziłem ten plik na serwerze który mi poradziłeś configuration.php i jest pusty.
    Size 0.00k. Ciekawe dlaczego się wyzerował.

  5. #4
    Wiarus siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    1 581
    Punkty
    181

    Domyślny

    Cytat Wysłane przez Testerr Zobacz wiadomość
    Ciekawe dlaczego się wyzerował.
    Nie spotkałem się jeszcze z sytuacją by wyczyścił się sam... ale może jakiś lag podczas zapisywania konfiguracji w Joomla? Zmiana konfiguracji zapisuje ten plik, możliwe, że przy probie zapisu coś się wydarzyło i plik powstał ale nie został wypełniony wartościami.

    Jedynie zgaduję bo nie potrafię co było przyczyna. W każdym razie spróbuj przywrócić plik wykorzystując jako wzór inny plik na tym samym serwerze. Przejrzyj wartości wpisane i odpowiednio popraw tak by strona się uruchomiła (zwłaszcza informacje o bazie danych).
    Na Forum pomagam bezpłatnie ad maiorem Joomla gloriam
    Mimo pomocy na forum nie dajesz rady? Potrzebujesz by ekspert "zrobił to" za Ciebie?
    Napisz do mnie na PW. Argentum et Aurum nie zawsze jest konieczne ;)

  6. #5
    Przeglądacz
    Dołączył
    16-03-2009
    Skąd
    Szczawnica
    Wpisy
    53
    Punkty
    10

    Domyślny

    Strona działa , plik przywrócony. Joomla zaktualizowana do 3.9.5 , teraz mam taki komunikat:

    Błąd

    Wyryto, że Twój serwer używa PHP w wersji 5.3.29, która jest przestarzałą i nie jest już wspierana. Projekt Joomla sugeruje aktualizację PHP do wersji 7.1 lub wyższej, które będą otrzymywać poprawki bezpieczeństwa co najmniej do 01-12-19. Skontaktuj się ze swoją firmą hostingową aby dowiedzieć się, jak ustawić dla strony wersję PHP 7.1 lub wyższą. Jeżeli Twój hosting używa aktualnie wersji 7.1 zadeklaruj używanie wersji 7.1 w katalogu głównym strony - zazwyczaj można to zrobić samemu w panelu obsługi hostingu. Jeśli nie masz pewności jak to zrobić zapytaj dostawcę usługi hostingu.

    Serwer Bazy Danych posiadam taki:


    • Serwer: Localhost via UNIX socket
    • Typ serwera: MySQL
    • Połączenie z serwerem: SSL is not being used
    • Wersja serwera: 5.6.16 - MySQL Community Server (GPL)
    • Wersja protokołu: 10
    • Użytkownik: tester@localhost
    • Kodowanie znaków serwera: UTF-8 Unicode (utf8)



    Serwer WWW taki :


    • Apache/2
    • Wersja klienta bazy danych: libmysql - mysqlnd 5.0.12-dev - 20150407 - $Id: 7e72f9690b1498a1bead7a637c33a831c0d2f655 $
    • Rozszerzenie PHP: mysqli curl mbstring
    • Wersja PHP: 7.0.1

    Czy mam coś gdzieś w pliku zmienic na danej stronie - http://centrumnet.xon.pl/testuj/index.php/home

  7. #6
    Wiarus siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    1 581
    Punkty
    181

    Domyślny

    Cytat Wysłane przez Testerr Zobacz wiadomość
    Wyryto, że Twój serwer używa PHP w wersji 5.3.29, która jest przestarzałą i nie jest już wspierana. Projekt Joomla sugeruje aktualizację PHP do wersji 7.1 lub wyższej, które będą otrzymywać poprawki bezpieczeństwa co najmniej do 01-12-19. Skontaktuj się ze swoją firmą hostingową aby dowiedzieć się, jak ustawić dla strony wersję PHP 7.1 lub wyższą. Jeżeli Twój hosting używa aktualnie wersji 7.1 zadeklaruj używanie wersji 7.1 w katalogu głównym strony - zazwyczaj można to zrobić samemu w panelu obsługi hostingu. Jeśli nie masz pewności jak to zrobić zapytaj dostawcę usługi hostingu.
    To nie błąd tylko komunikat Wydaje się być zupełnie jasny

    Cytat Wysłane przez Testerr Zobacz wiadomość
    Serwer WWW taki :
    Apache/2
    Wersja klienta bazy danych: libmysql - mysqlnd 5.0.12-dev - 20150407 - $Id: 7e72f9690b1498a1bead7a637c33a831c0d2f655 $
    Rozszerzenie PHP: mysqli curl mbstring
    Wersja PHP: 7.0.1
    Tutaj na serwerze jest niby wersja php 7.1 ale komunikat mówi, że Joomla uruchamiana jest na php 5.3.
    Może to oznaczać, że wersja php jest ustawiana per domena lub przez plik php.ini dla danego katalogu ze stroną.

    Nic na stronie nie zmieniasz. Skontaktuj się ze swoim usługodawca i zapytaj jak ustawia się wersje php czy per domena w panelu serwera czy przez php.ini.

    Ale, ale, upewnij się, że wszystkie rozszerzenia dla Joomli zaktualizowałeś. Po zmianie php możesz mieć błąd na stronie jeśli będziesz używał czegoś starego. Błąd może też dotyczyć szablonu (template) lub nadpisanych widoków dla rozszerzeń (katalog html w szablonie).
    Na Forum pomagam bezpłatnie ad maiorem Joomla gloriam
    Mimo pomocy na forum nie dajesz rady? Potrzebujesz by ekspert "zrobił to" za Ciebie?
    Napisz do mnie na PW. Argentum et Aurum nie zawsze jest konieczne ;)

  8. #7
    Przeglądacz
    Dołączył
    16-03-2009
    Skąd
    Szczawnica
    Wpisy
    53
    Punkty
    10

    Domyślny

    Cytat Wysłane przez siristru Zobacz wiadomość
    To nie błąd tylko komunikat Wydaje się być zupełnie jasny



    Tutaj na serwerze jest niby wersja php 7.1 ale komunikat mówi, że Joomla uruchamiana jest na php 5.3.
    Może to oznaczać, że wersja php jest ustawiana per domena lub przez plik php.ini dla danego katalogu ze stroną.

    Nic na stronie nie zmieniasz. Skontaktuj się ze swoim usługodawca i zapytaj jak ustawia się wersje php czy per domena w panelu serwera czy przez php.ini.

    Ale, ale, upewnij się, że wszystkie rozszerzenia dla Joomli zaktualizowałeś. Po zmianie php możesz mieć błąd na stronie jeśli będziesz używał czegoś starego. Błąd może też dotyczyć szablonu (template) lub nadpisanych widoków dla rozszerzeń (katalog html w szablonie).
    Tak mi odpisali z hostingu:
    Szanowni Państwo,

    wersję PHP można zmienić odpowiednią dyrektywą w pliku .htaccess. By
    to zrobić należy zalogować się na Państwa serwer FTP, a następnie w
    katalogu strony, gdzie znajdują się jej pliki przejść do edycji pliku
    .htaccess i tutaj dodać w zależności od wymaganej wersji php:

    W celu zmiany na PHP 7.0 należy do pliku .htaccess w katalogu
    strony/skryptu (zwykle public_html) dodać poniższą linijkę:
    AddHandler application/x-httpd-php7 .php

    W celu zmiany na PHP 5.6 należy do pliku .htaccess w katalogu
    strony/skryptu (zwykle public_html) dodać poniższą linijkę:
    AddHandler application/x-httpd-php56 .php

    W celu zmiany na PHP 5.2 należy do pliku .htaccess w katalogu
    strony/skryptu (zwykle public_html) dodać poniższą linijkę:
    AddHandler application/x-httpd-php52 .php

    W celu zmiany na PHP 4.4 należy do pliku .htaccess w katalogu
    strony/skryptu (zwykle public_html) dodać poniższą linijkę:
    AddHandler application/x-httpd-php4 .php

    .......

  9. #8
    Wiarus siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    1 581
    Punkty
    181

    Domyślny

    Cytat Wysłane przez Testerr Zobacz wiadomość
    wersję PHP można zmienić odpowiednią dyrektywą w pliku .htaccess. By
    to zrobić należy zalogować się na Państwa serwer FTP, a następnie w
    katalogu strony, gdzie znajdują się jej pliki przejść do edycji pliku
    .htaccess i tutaj dodać w zależności od wymaganej wersji php:

    W celu zmiany na PHP 7.0 należy do pliku .htaccess w katalogu
    strony/skryptu (zwykle public_html) dodać poniższą linijkę:
    AddHandler application/x-httpd-php7 .php
    No to masz odpowiedź i wiesz co zrobić Czy potrzebujesz czegoś więcej? :0
    Na Forum pomagam bezpłatnie ad maiorem Joomla gloriam
    Mimo pomocy na forum nie dajesz rady? Potrzebujesz by ekspert "zrobił to" za Ciebie?
    Napisz do mnie na PW. Argentum et Aurum nie zawsze jest konieczne ;)

  10. #9
    Przeglądacz
    Dołączył
    16-03-2009
    Skąd
    Szczawnica
    Wpisy
    53
    Punkty
    10

    Domyślny

    No tak ale niezbyt wiem czy wkleic to na końcu w tym pliku htaccess.txt ?
    czy gdzies po środku , wkleiłem na samym koncu ten fragment.

  11. #10
    Wiarus siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    1 581
    Punkty
    181

    Domyślny

    No przecież wystarczyło o to zapytać w poprzednim poście - nie ma nic wstydliwego w tym, że się nie wie lub jest się niepewnym.
    Nie w pliku htaccess.txt bo plik z taką jest ignorowany przez serwer.
    Zmień mu nazwę na .htaccess (tak, kropka na początku i bez ".txt").
    Następnie dodaj linijkę:

    Kod PHP:
    AddHandler application/x-httpd-php7 .php 
    Na samym początku treści pliku.

    Potem przeładuj pulpit na zapleczu i sprawdź czy zmiana została dokonana i czy nic się nie "wysypało".
    Na Forum pomagam bezpłatnie ad maiorem Joomla gloriam
    Mimo pomocy na forum nie dajesz rady? Potrzebujesz by ekspert "zrobił to" za Ciebie?
    Napisz do mnie na PW. Argentum et Aurum nie zawsze jest konieczne ;)

Strona 1 z 2 12 OstatniOstatni

Reguły pisania

  • Nie możesz zakładać nowych tematów
  • Nie możesz dodawać wypowiedzi
  • Nie możesz dodawać załączników
  • Nie możesz poprawiać swoich postów
  •